from setuptools import setup, find_packages

# Read the contents of README.md
with open("README.md", "r", encoding="utf-8") as f:
    long_description = f.read()

setup(
    name="spl-qr",
    version="1.0.1",  # Increment the version number for the update
    description="Generate UPI payment QR codes easily",
    long_description=long_description,  # Add README as the long description
    long_description_content_type="text/markdown",  # Specify Markdown format
    author="Delta",
    url="https://github.com/Geektyper",
    packages=find_packages(),
    install_requires=[
        "qrcode[pil]"
    ],
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.6",
)
